# Generated by rust2rpm 16
%bcond_without check
%global debug_package %{nil}

%global crate nom

Name:           rust-%{crate}
Version:        6.1.2
Release:        1%{?dist}
Summary:        Byte-oriented, zero-copy, parser combinators library

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/nom
Source:         %{crates_source}
# Initial patched metadata
# * drop benchmarks and examples not shipped with the crate
# * drop optional jemallocator dev-dependency (not packaged)
Patch0:         nom-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Byte-oriented, zero-copy, parser combinators library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages
which use "alloc" feature of "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+bitvec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bitvec-devel %{_description}

This package contains library source intended for building other packages
which use "bitvec" feature of "%{crate}" crate.

%files       -n %{name}+bitvec-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+docsrs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+docsrs-devel %{_description}

This package contains library source intended for building other packages
which use "docsrs" feature of "%{crate}" crate.

%files       -n %{name}+docsrs-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+funty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+funty-devel %{_description}

This package contains library source intended for building other packages
which use "funty" feature of "%{crate}" crate.

%files       -n %{name}+funty-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages
which use "lazy_static" feature of "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lexical-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexical-devel %{_description}

This package contains library source intended for building other packages
which use "lexical" feature of "%{crate}" crate.

%files       -n %{name}+lexical-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lexical-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexical-core-devel %{_description}

This package contains library source intended for building other packages
which use "lexical-core" feature of "%{crate}" crate.

%files       -n %{name}+lexical-core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages
which use "regex" feature of "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+regexp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regexp-devel %{_description}

This package contains library source intended for building other packages
which use "regexp" feature of "%{crate}" crate.

%files       -n %{name}+regexp-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch %{ix86} %{arm}
# skip a test with wrong overflow behaviour on 32-bit architectures
# https://github.com/Geal/nom/issues/1278
%cargo_test -- -- --skip issue_848_overflow_incomplete_bits_to_bytes
%else
%ifarch aarch64
# skip doctests when rustdoc fails to compile tests on aarch64
# https://bugzilla.redhat.com/show_bug.cgi?id=1902663
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif
%endif

%changelog
* Sat Feb 20 2021 Fabio Valentini <decathorpe@gmail.com> - 6.1.2-1
- Update to version 6.1.2.
- Fixes RHBZ#1928638
- Fixes RHBZ#1928637

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 25 2021 Fabio Valentini <decathorpe@gmail.com> - 6.1.0-1
- Update to version 6.1.0.
- Fixes RHBZ#1822969

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 5.1.2-1
- Update to 5.1.2

* Mon Feb 24 2020 Josh Stone <jistone@redhat.com> - 5.1.1-1
- Update to 5.1.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 5.1.0-1
- Update to 5.1.0

* Tue Nov 26 11:30:43 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Tue Nov 26 11:05:04 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.3-5
- Update version_check to 0.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 24 13:03:16 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.3-3
- Enable tests on 32bit

* Sat Jun 22 20:30:03 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.3-2
- Regenerate

* Sat Mar 23 20:07:35 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.3-1
- Update to 4.2.3

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.2-2
- Do not pull optional dependencies

* Mon Mar 04 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.2-1
- Update to 4.2.2

* Thu Feb 28 2019 Josh Stone <jistone@redhat.com> - 4.2.1-1
- Update to 4.2.1

* Mon Feb 11 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.0-3
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Josh Stone <jistone@redhat.com> - 4.2.0-1
- Update to 4.2.0

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.1.1-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 4.1.1-1
- Update to 4.1.1

* Sat Oct 06 2018 Josh Stone <jistone@redhat.com> - 4.1.0-1
- Update to 4.1.0

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 4.0.0-3
- Fix duplicate macro export

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.0.0-1
- Update to 4.0.0

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.2.1-5
- Bump regex to 1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.2.1-3
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.2.1-2
- Bump lazy_static to 1

* Sat Nov 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.2.1-1
- Initial package
